GET /calendars/:id
Retrieve a specific calendar.
Endpoint
GET https://api.timekit.io/v2/calendars/:id
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
id |
path | string | yes | Id of the calendar | |
include |
query | string | Available includes: events |
Request examples
curlcurl -X GET \
-u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
https://api.timekit.io/v2/calendars/c91c5d04-2a57-46c0-ab35-e489dadf132e
Response examples
200
json{
"data": {
"id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
"name": "My personal calendar",
"display_name": "My personal calendar",
"description": "Notes to self, so I don't remember to to them.",
"foregroundcolor": "#25d6be",
"backgroundcolor": "#ea1cb8",
"provider_id": "my-personal-google-calendar",
"provider_access": "owner",
"provider_primary": true,
"provider_sync": true,
"created_at": "2016-02-29T18:41:38+0100",
"updated_at": "2016-06-02T23:00:03+0200"
}
}
401
textInvalid credentials.
404
json{
"error": {
"message": "Resource Not Found",
"status_code": 404
}
}